<?php

if(!function_exists('icl_get_languages')){
	$tr_leave_reply = vntd_translate('leave_reply');
	$tr_cancel_reply = vntd_translate('cancel_reply');
	$tr_older_comments = vntd_translate('older_comments');
	$tr_newer_comments = vntd_translate('newer_comments');
	$tr_name = vntd_translate('name');
	$tr_email = vntd_translate('email');
	$tr_comment_website = vntd_translate('comment_website');
	$tr_comment_msg = vntd_translate('comment_msg');
	$tr_comment_submit = vntd_translate('comment_submit');
}else{
	$tr_leave_reply = esc_html__('Leave Reply', 'purity');
	$tr_cancel_reply = esc_html__('Cancel Reply', 'purity');
	$tr_older_comments = esc_html__('Older Comments', 'purity');
	$tr_newer_comments = esc_html__('Newer Comments', 'purity');
	$tr_name = esc_html__('Name', 'purity');
	$tr_email = esc_html__('E-Mail', 'purity');
	$tr_comment_website = esc_html__('Website', 'purity');
	$tr_comment_msg = esc_html__('Comment', 'purity');
	$tr_comment_submit = esc_html__('Submit', 'purity');
}


if ( have_comments() ) : ?>

	<div class="divider line"></div>

    <!-- Post Comments Start -->
    <div class="comments-wrap">
        <h3 id="comments">
            <?php comments_number( esc_html__('No Comments','purity'), esc_html__('One Comment','purity'), '%'.' '.esc_html__('Comments','purity') ); ?>
        </h3>

        <ul>
            <?php wp_list_comments('type=all&callback=vntd_ts_comment&per_page='.purity_get_option('blog_comments_nr').'&reverse_top_level=1'); ?>
        </ul>

    </div>

    <div class="pagination comments-pagination">
        <div class="newer-posts"><?php next_comments_link('← '.$tr_newer_comments); ?></div>
        <div class="older-posts"><?php previous_comments_link($tr_older_comments.' →'); ?></div>
    </div>

<?php

else : // no comments so far

    if ('open' == $post->comment_status) :
        // If comments are open, but there are no comments.
    else :
    endif;

endif;
?>


<?php if ('open' == $post->comment_status) : ?>


	<div class="divider line"></div>

    <div id="respond" class="respond">

    <?php comment_form(); ?>

	</div>

<?php endif; // if you delete this the sky will fall on your head ?>
