    <script type="text/javascript">
	<?php
		$animation = purity_get_option('slider_effect');
		if($animation != "fade" && $animation != "slide"){
			$animation = "fade";
		}

	 ?>
    jQuery(window).load(function() {
    	jQuery('#slider').flexslider({
    		animationSpeed: <?php echo esc_attr( purity_get_option('slider_speed')); ?>,
    		slideshowSpeed: <?php echo esc_attr( purity_get_option('slider_pause')); ?>,
    		directionNav: <?php echo esc_attr( purity_get_option('slider_direction_nav')); ?>,
    		controlNav: true,
    		animation: '<?php echo esc_attr($animation); ?>',
    		smoothHeight: true,
    		after: function(slider) {
    		    if (!slider.playing) {
    		      slider.play();
    		    }
    		  }
    	});
    });
    </script>

    <div id="slider" class="purity-homepage-slider purity-flexslider flexslider vntd-block inner">
    	<ul class="slides">
        <?php

        $slides = purity_get_option( 'slider_slides' );

    		if ( $slides != null )
    		foreach( $slides as $i => $slide ) {
    		  	echo '<li>';
    		  	if($slide['link']) { echo '<a href="'. esc_url( $slide['link'] ) . '">'; }
    		  	if(strpos($slide['url'],'veented.com')) {
    		  		$img_url = $slide['url'];
    		  	} else {
    		  		$img_url = vntd_crop_img($slide['url'],960,purity_get_option('slider_height'));
    		  	}
    		  	echo '<img src="'. esc_url( $img_url ) .'" title="'. esc_attr( $slide['description'] ) . '" alt></a>';
    			if($slide['link']) { echo '</a>'; }

    			if($slide['description']){
    				echo '<p class="flex-caption">';
    				echo '<span class="slide-caption">'. esc_html( $slide['description'] ) . '</span>';
    				echo '</p>';
    			}

			echo '</li>';
		}
		?>
		</ul>
    </div>
