/*
 * ----------------------------------------------------------------
 *
 *  Portfolio list items equal height script.
 *
 * ----------------------------------------------------------------
 */

jQuery(document).ready(function(){

	"use strict";

	function equalHeight(group) {
		var tallest = 0;
		group.css("height", "auto");
		group.each(function() {
			var thisHeight = jQuery(this).height();
			if(thisHeight > tallest) {
				tallest = thisHeight;
			}
		});
		group.height(tallest);
	}
	equalHeight(jQuery(".portfolio li"));

	jQuery(window).on( 'resize', function () {
		equalHeight(jQuery(".portfolio li"));
	});

});
