<div id="sidebar" class="sidebar">
	<ul>
	<?php
	global $post;
	if(is_home()){
		$post_id = get_option('page_for_posts');
	}else{
		$post_id = get_the_ID();
	}

	if ( get_post_meta( $post_id, 'page_sidebar', true ) && get_post_meta($post_id, 'page_sidebar', true) != "Default" ){
		if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar(get_post_meta($post_id, 'page_sidebar', true))) :
		endif;
	}elseif( is_page_template('template-contact.php') ) {
		if ( ! is_active_sidebar( 'sidebar_contact' ) ) {
		 echo esc_html__( 'Please add widgets to the "Contact" sidebar area in Appearance / Widgets menu.', 'purity' );
		} else {
	   if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar("sidebar_contact") ) :
	   endif;
	 	}
	}elseif( is_archive() || is_search() || is_404()  ) {
			if ( ! is_active_sidebar( 'archives' ) ) {
			 echo esc_html__( 'Please add widgets to the "Archives" sidebar area in Appearance / Widgets menu.', 'purity' );
		 	} else {
		   if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar("archives") ) :
		   endif;
		 }
	}elseif( is_home() && get_post_type() !== 'portfolio' || is_single() && get_post_type() !== 'portfolio' ) {
		if ( ! is_active_sidebar( 'sidebar_blog' ) ) {
		 echo esc_html__( 'Please add widgets to the "Blog Sidebar" sidebar area in Appearance / Widgets menu.', 'purity' );
		} else {
		 if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar("sidebar_blog") ) :
	   endif;
	 	}
	}elseif( is_page_template('template-page-right.php') || is_page_template('template-page-left.php') || get_post_meta( $post_id, 'page_layout', true ) != 'fullwidth' ) {
		 if ( ! is_active_sidebar( 'sidebar_page' ) ) {
			 echo esc_html__( 'Please add widgets to the "Page Sidebar" sidebar area in Appearance / Widgets menu.', 'purity' );
		 } else {
			 if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar( "sidebar_page" ) ) :
		   endif;
		 }
	}
	?>
	</ul>
</div>
