<?php
$post = $wp_query->post;
get_header();

// Thumbnail Height

$height = vntd_get_single_img_size('height');
$width = vntd_get_single_img_size('width');

if(!function_exists('icl_get_languages')){
	$tr_posted_in = vntd_translate('posted_in');
	$tr_posted_by = vntd_translate('posted_by');
	$tr_on = vntd_translate('on');
	//$tr_view_more = vntd_translate('recent_work_view');
}else{
	$tr_posted_in = esc_html__('in', 'purity');
	$tr_posted_by = esc_html__('Posted by', 'purity');
	$tr_view_more = esc_html__('View Portfolio', 'purity');
	$tr_on = esc_html__('on','purity');
}

$page_layout = vntd_get_page_layout();

?>

<div class="inner custom_content page-layout-<?php echo esc_attr($page_layout); ?> single-post-page-<?php echo get_the_ID(); ?>">

    <?php

    if($page_layout != "fullwidth") echo '<div class="content">';

	if (have_posts()) : while (have_posts()) : the_post();

    	$gallery_type = get_post_meta($post->ID, 'pp_gallery_type', true);
    	vntd_post_gallery($width,$height);

    	?>

        <h1><?php the_title(); ?></h1>

        <span class="post-meta"><?php echo esc_textarea($tr_posted_by); ?> <strong><?php the_author_posts_link(); ?></strong> <?php echo esc_textarea($tr_on); ?> <strong><?php the_time('M d, Y'); ?></strong> <?php echo esc_textarea($tr_posted_in); ?> <strong><?php the_category(', '); ?></strong></span>

    	<?php
		the_content();

		if ( 'open' == $post->ping_status && get_trackback_url() ) {
			echo '<p>' . esc_html__( 'Trackback URL:', 'purity' ) . ' <a href="'.get_trackback_url().'">'.get_trackback_url().'</a></p>';
		}

		if ( comments_open() ){ comments_template(); } // Load comments if enabled

		wp_link_pages();

	endwhile; endif;

	if($page_layout != "fullwidth") { // Print Sidebar if not Fullwidth layout
		echo '</div>';
		get_sidebar();
	}

get_footer();
?>
