<?php
/*
Template Name: Homepage
*/

get_header(); ?>
    <div>
	<?php

  $type = get_post_meta(get_the_ID(), 'page_header', true);

	if ( purity_get_option('slider_enable') !== 'no' || $type != 'default' && $type != 'none' ) {
    if ( $type != 'revslider' && $type != 'layerslider' ) {
      include get_template_directory() . '/includes/slider.php';
      echo '<div class="divider line"></div>';
    }
	}

	vntd_homepage_custom_content();	// Theme Options / Homepage custom content

	vntd_homepage_tagline();

	vntd_recent_work(); // Portfolio Posts

	vntd_recent_posts(); // Recent Blog Posts

	// Page Content

	wp_reset_postdata();

	if (have_posts()) : while (have_posts()) : the_post();

    	if(get_the_content()) echo '<div id="page-content" class="vntd-block inner">';
        the_content();
        if(get_the_content()) echo '</div>';

    endwhile; endif;

    // End page Content


// Get Footer
get_footer();
