<?php
get_header();
$page_layout = vntd_global_template();
?>

<div class="inner custom_content page-layout-<?php echo esc_attr($page_layout); ?>">

	<?php

	if($page_layout != "fullwidth") echo '<div class="content">';

    if (have_posts()) :

			echo '<div class="posts-holder">';

			while (have_posts()) : the_post();

        $blog_template = 'medium_thumbnail';

    		vntd_blog_template( $blog_template, $page_layout );

    	endwhile;

			echo '</div>';

			include get_template_directory() . '/includes/blog-pagination.php';

    # Archive doesn't exist:
    else : ?>
        <h2><?php esc_html_e('No posts found.', 'purity') ?></h2>
        <p><?php esc_html_e('Sorry, no posts matched your criteria.', 'purity') ?></p>
    <?php
    endif;

    if($page_layout != "fullwidth") { // Print Sidebar if not Fullwidth layout
    	echo '</div>';
    	get_sidebar();
    }

get_footer(); // Get Footer

?>
