<?php
$post = $wp_query->post;
get_header();


$template = get_post_meta( $post->ID, 'projLayout', true );

$layout = '';
if ( $template == "sidebar-left" )	{ $layout = "content_right"; }

$height = 360;

if($template == "fullwidth") {
	$width = 960;
	$height = 360;
}else{
	$width = 690;
}

$image_range = 10;
?>

<div class="inner custom_content">

	<!-- Content Start -->
	<?php if($template != "fullwidth") { ?>

	<div class="content <?php echo esc_attr($layout); ?>">

	<?php }
	if (have_posts()) : while (have_posts()) : the_post();

		$youtube = get_post_meta($post->ID, 'video_youtube', true);
		$vimeo = get_post_meta($post->ID, 'video_vimeo', true);
		$range = 1;

		if($youtube && !$vimeo){
			echo '<div class="video-container"><iframe src="http://www.youtube.com/embed/'. esc_attr( $youtube ) .'" frameborder="0" allowfullscreen></iframe></div>';
		}elseif($vimeo){
			echo '<div class="video-container"><iframe src="http://player.vimeo.com/video/'. esc_attr( $vimeo ) .'?title=0&amp;byline=0&amp;portrait=0&amp;color=ffffff" frameborder="0" webkitAllowFullScreen allowFullScreen></iframe></div>';
		}

		if(get_post_meta($post->ID, 'vntd_gallery_images', true)){

			vntd_post_gallery($width,$height);

		}

	endwhile; endif;

	if($template != "fullwidth") { ?>
	</div><!-- .content End -->
	<!-- Content End -->

	    <!-- Sidebar Start -->
	    <div class="sidebar <?php if($template == "sidebar-left") echo "sidebar_left"; ?>">
	    	<?php the_content(); ?>
	    </div>
	    <!-- Sidebar End -->

    <div class="clear"></div>

    <?php }else{ ?>

    <div class="portfolio-fullwidth-content">
    	<?php the_content(); ?>
    </div>

    <?php } ?>


<?php
	get_footer();
?>
