<?php
/* Template Name: Page Right Sidebar */
get_header(); 

$page_layout = 'sidebar_right';

?>

<div class="inner custom_content page-layout-<?php echo esc_attr($page_layout); ?>"> 

	<?php
	
	if($page_layout != "fullwidth") echo '<div class="content">';
	
    if (have_posts()) : while (have_posts()) : the_post(); 
            
    	the_content(); // Page Content
              
    endwhile; endif;
    
    if($page_layout != "fullwidth") { // Print Sidebar if not Fullwidth layout
    	echo '</div>';
    	get_sidebar();
    }

get_footer(); // Get Footer

?>
