<?php
/* Template Name: Portfolio One Column 2 */
get_header();
query_posts('post_type=portfolio&project-type='. vntd_query_categories() .'&posts_per_page=-1');
?>

<div class="inner">

    <?php include('includes/portfolio-filter.php');	?>

    <ul class="portfolio one-column portfolio2">

    	<?php $count = 100; if (have_posts()) : while (have_posts()) : the_post(); ?>

        <li data-id="id-<?php echo esc_html( $count++ ); ?>" class="<?php vntd_portfolio_class(); ?>"> 
            <div class="item-image">
                <div class="gallery clearfix">
                <a href="<?php vntd_pp_enabled('href'); ?>" <?php vntd_pp_enabled('rel'); ?>><img src="<?php vntd_post_thumb(936, 380); ?>" alt></a>
                <?php vntd_pp_images(); ?>
                </div>
            </div>

            <div class="item-name gallery">
                <h2 class="title"><a href="<?php vntd_pp_enabled('href'); ?>"><?php the_title(); ?></a></h2>
            </div>
        </li>

        <?php endwhile; endif; ?>

    </ul>

<?php get_footer(); ?>
