<?php
/* Template Name: Portfolio Two Columns 1 */
get_header();
query_posts('post_type=portfolio&project-type='. vntd_query_categories() .'&posts_per_page=-1');
?>

<div class="inner">

    <?php include('includes/portfolio-filter.php');	?>

    <ul class="portfolio two-columns portfolio1">

    	<?php $count = 100; if (have_posts()) : while (have_posts()) : the_post(); ?>

        <li data-id="id-<?php echo esc_html( $count++ ); ?>" class="<?php vntd_portfolio_class(); ?>" > 
        	<div class="gallery clearfix">
                <div class="item-image">
                    <a href="<?php vntd_pp_enabled('href'); ?>" <?php vntd_pp_enabled('rel'); ?> class="over">
                        <span><?php the_title(); ?></span>
                        <p><?php vntd_portfolio_desc(); ?></p>
                    </a>
                    <img src="<?php vntd_post_thumb(446, 314); ?>" alt>
                    <?php vntd_pp_images(); ?>
                </div>
            </div>
        </li>

        <?php endwhile; endif; ?>

    </ul>

<?php get_footer(); ?>
